<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_28c85ce81fee6532980262893b6" . "f2425" => base64_decode("dXNlc" . "m5hbW" . "U="), "_dd45fa0d6586ab8e73" . "f6f6f116b1a970" => base64_decode("cHJld" . "l91c2" . "VyX2l" . "k"), "_baec81a782bb3d53" . "8149a9225688246e" => base64_decode("ZXZlbnR" . "fc291cm" . "Nl"), "_5439477835f9c7cc2" . "6a988f88cb19553" => base64_decode("cHJldl9" . "mdWxsX2" . "5hbWU="), "_eb6cb4623735c07" . "195e93735d659236" . "d" => base64_decode("cHJldl9lbWFpbF9" . "hZGRyZXNz"), "con" . "tex" . "t" => base64_decode("Y29ud" . "GV4dA" . "=="), "use" . "r_i" . "d" => base64_decode("dXNl" . "cl9p" . "ZA=="), "_8cca4dd34e20c5344bb2a30f253" . "3c4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "_539cf4259a149ca9dbb" . "739b2cdb7c608" => base64_decode("ZW1haWxfYWRkcmVzcw=" . "="), "_b070ffda70d673baa2ab" . "1a4ca13c254c" => base64_decode("cHJldl91c2Vy" . "bmFtZQ=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["co" . "nt" . "ex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["con" . "tex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8cca4dd34e20c5344bb2a30" . "f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_28c85ce81fee6532980262893b6f" . "2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_539cf4259a149ca9dbb739b2cdb7c6" . "08"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dd45fa0d6" . "586ab8e73f" . "6f6f116b1a" . "970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_543947783" . "5f9c7cc26a" . "988f88cb19" . "553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_b070ffda70d673baa2ab1a4ca13c" . "254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_eb6cb4623735c07195" . "e93735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_baec81a782bb3d538149a922568" . "8246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}